<ion-content>

  <div class="container header">
    <div class="flex inpage-tabs">
      <div class="container-flex">
        <div class="item active-tab">
          <a href="/marketplace-products">
            <h2>Produits</h2>
          </a>
        </div>
        <div class="item inactive-tab">
          <a href="marketplace-farms">
            <h2>Fermes</h2>
          </a>
        </div>
      </div>
    </div>
    <div class="searchbar">
      <ion-searchbar placeholder="Que cherches-tu ?"></ion-searchbar>
    </div>
  </div>

  <div class="container flex chips-scroll">
    <div class="flex-scroll">
      <a href="/research-filters">
        <img src="assets/icon/filters.svg" class="filters-icon scroll-item">
      </a>
      <div class="info-chip scroll-item container-flex sm-space">
        <p class="small-text">Tous les produits</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>

      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Les produits les plus proches</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Fruits</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Légumes</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
    </div>
  </div>

  <div class="products bodyContent" *ngIf="data">
    <div class="container flex lg-space">
      <h2><strong>{{count}}</strong> Produits</h2>
      <div class="container-flex market">

        <div *ngFor="let product of products" class="item product" (click)="getProduct(product.id)">
          <div class="img-container">
            <img src="{{product.photo}}" class="img">
          </div>
          <div class="stock-status">
            <div class="label mini-text">{{product.farm.name}}</div>
          </div>
          <div class="label product-name">{{product.name}}</div>
          <div class="container-flex label type-price">
            <div class="item mini-text">{{product.unity}}</div>
            <div class="item small-text"><strong>{{product.price}} CHF</strong></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Skeleton screen -->
<div *ngIf="!data" class="skeleton container flex lg-space ">
  <ion-list>
    <ion-label>
      <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
    </ion-label>

    <div class="container-flex sm-space">
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
  </ion-list>
</div>


  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-consommateur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/marketplace-products" class="menu-link">
        <ion-tab-button>
          <ion-icon name="nutrition" class="icon-active"></ion-icon>
          <ion-label class="label-active">Marché</ion-label>
        </ion-tab-button>
        </a>
        <a href="/panier" class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="tab-inactive"></ion-icon>
            <ion-label>Panier</ion-label>
            <ion-badge color="danger">{{card.length}}</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-consommateur" class="menu-link">
          <ion-tab-button >
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>


</ion-content>
